interaggregate(6)

NAME
interaggregate - Visualize the momentary and aggregate intersections between slowly moving circles.

SYNOPSIS
interaggregate [-display host:display.screen] [-foreground color] [-background color] [-num-circles disc count] [-growth-delay delayms] [-max-cycles maxr] [-percent-orbits percent] [-base-orbits percent] [-base-on-center] [-draw-centers]

DESCRIPTION
The Intersection Aggregate is a fun visualization defining the relationships between objects with Casey Reas, William Ngan, and Robert Hodgin. Commissioned for display at the Whitney Museum of American Art. A surface filled with 100 medium to small sized circles. Each circle has a different size and direction, but moves at the same slow rate. Display:
    A. The instantaneous intersections of the circles.
    B. The aggregate intersections of the circles. Ported to XScreensaver from the art project "InterAggregate" at http://www.complexification.net by J.Tarbell

OPTIONS
interaggregate accepts the following options:

-num-circles disc count (Default: 100)
    Number of slowly moving and growing discs to use. The more discs, the more CPU power.

-growth-delay delayms (Default: 18000)
    Delay in ms between drawing cycles. More delay, slower (but smoother and less CPU intensive.) art.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

BUGS

Setting the background to anything besides black confuses the intensity
    algorithm and will look terrible.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2003 by J. Tarbell (complex@complexification.net, http://www.complexification.net). Ported to XScreensaver 2005 by David Agraz.

AUTHOR
J. Tarbell <complex@complexification.net>, Jun-03 David Agraz <dagraz@mindspring.com>, Apr-05.